Blocks: Remlab manager

block_remlab_manager
Maintained by Picture of Luis de la Torre Luis de la Torre
A Moodle block for managing and configuring remote labs and to be used with the EJSApp activity module plugin
33 sites
102 downloads
1 fans
This plugin lets users to manage the remote labs that can be later accessed using the Java or Javascript applications created with Easy Java/Javascript Simulations (EJS) and which are added to a Moodle course by means of the EJSApp module (https://moodle.org/plugins/mod_ejsapp). 


This plugin is required by the EJSApp Booking System module (https://moodle.org/plugins/mod_ejsappbooking), which allows booking time slots in order to work with the remote labs.


The Java applets or the Javascript applications should have been created with version 5.1 (build 20150613 or later) of EJS to work properly. 


This plugin supports (but does not require) the use of SARLAB for managing the connection to the remote labs.

Sets

This plugin is part of set EJSApp and extensions.

Screenshots

Screenshot #0
Screenshot #1

Contributors

Picture of Luis de la Torre
Luis de la Torre (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of David Mudrák
    Wed, 13 Jul 2016, 9:56 PM

    Thanks Luis for sharing the block with the community. I am afraid I cannot approve it now due to serious issues detected in the code. Please see you issues tracker for details. All the issues #1 (direct access to the superglobal $_SESSION), #2 (tables names and installation) and #3 (lack of access permission control) block the approval now so I am marking this plugin as requiring more work. Thanks for your understanding and the patience with the review and approval process.

  • Picture of David Mudrák
    Fri, 19 Aug 2016, 7:21 PM

    Thanks Luis for providing the fixed version quickly.

    I am a bit worried about the dependency on the EJSApp activity module. This block declares minimal required version of mod_ejsapp as 2016080400. However, that version is only available at github and was not officially released here in the plugins directory. As a consequence, the in-built plugin installer in moodle can't fulfil the dependency and it fails to install this block. As you are one of the maintainers of EJSApp module, you probably want to release that new version first.

    While looking at the code again, I noticed missing CSRF protection in your action links. I reported this security issue into your tracker.

    I'll be happy to approve this block once these issues are fixed.

    p.s. It is discouraged to make other already approved plugins depending on a plugin not yet available in the plugins directory as you did with the EJSApp Booking System. You can put users of your plugin into troubles when they are upgrading their sites. Thanks for understanding.

  • Picture of Luis de la Torre
    Mon, 22 Aug 2016, 5:22 PM
    Dear David,

    Thank you so much for your comments and help for improving the plugin. And thank you for creating/updating the wiki page with the information about CSRF protection (I noticed it was last edited on August 18th). It was very, very helpful!

    You are right about the dependency of the EJSApp activity module. I just uploaded a newer version (the one required now by the Remlab Manager block). I have also uploaded a new version of the Remlab Manager plugin with the changes that solve the two issues you noticed.

    Again, thanks a lot for everything. I think you are doing an outstanding job with Moodle's plugins section and for the plugins community.
  • Picture of David Mudrák
    Fri, 26 Aug 2016, 9:01 PM

    Thanks Luis for the nice words. And thanks for providing the updated version promptly. I am going to approve it now. You are cleared to land, welcome to the Plugins directory.

  • Picture of Luis de la Torre
    Fri, 26 Aug 2016, 9:08 PM
    Thanks, David. It's nice to be here!
Please login to post comments